MAN(1)

NAME
man - display the on-line manual pages

SYNOPSIS
man [-achw] [-C file] [-M path] [-m path] [section] name ...

DESCRIPTION
The man utility displays the BSD manual pages entitled name.

The options are as follows:

-a  Display all of the manual pages for a specified section and name combination. (Normally, only the first manual page found is displayed.)

-C  Use the specified file instead of the default configuration file. This permits users to configure their own manual environment. See man.conf(5) for a description of the contents of this file.

-c  Copy the manual page to the standard output instead of using more(1) to paginate it. This is done by default if the standard output is not a terminal device.

-h  Display only the “SYNOPSIS” lines of the requested manual pages.

-M  Override the list of standard directories which man searches for manual pages. The supplied path must be a colon (``:'') separated list of directories. This search path may also be set using the environment variable MANPATH. The subdirectories to be searched, and their search order, is specified by the ``_subdir'' line in the man configuration file.

-m  Augment the list of standard directories which man searches for manual pages. The supplied path must be a colon (``:'') separated list of directories. These directories will be searched before the standard directories or the directories specified using the -M option or the MANPATH environment variable. The subdirectories to be searched, and their search order, is specified by the ``_subdir'' line in the man configuration file.

-w  List the pathnames of the manual pages which man would display for the specified section and name combination.

The optional section argument restricts the directories that man will search. The man configuration file (see man.conf(5)) specifies the possible section values that are currently available. If only a single argument is specified or if the first argument is not a valid section, man assumes that the argument is the name of a manual page to be displayed.

ENVIRONMENT

MACHINE
    As some manual pages are intended only for specific architectures, man searches any subdirectories, with the same name as the current architecture, in every directory which it searches. Machine specific areas are checked before general areas. The current machine type may be overridden by setting the environment variable MACHINE to the name of a specific architecture.

MANPATH
    The standard search path used by man may be overridden by specifying a path in the MANPATH environment variable. The format of the path is a colon (``:'') separated list of directories. The subdirectories to be searched as well as their search order is specified by the ``_subdir'' line in the man configuration file.

PAGER
    Any value of the environment variable PAGER will be used instead of the standard pagination program, more(1).

FILES
/etc/man.conf
    default man configuration file.

SEE ALSO
apropos(1), whatis(1), whereis(1), man.conf(5), mdoc(7), mdoc.samples(7)

BUGS
The on-line manual pages are, by necessity, forgiving toward stupid display devices, causing a few manual pages to be not as nicely formatted as their typeset counterparts.

HISTORY
A man command appeared in AT&T UNIX.